PART
{
	name = nesdKeR7-lp111leg
	module = Part
	author = NESD
	rescaleFactor = 1.0
	node_stack_bottom = 0.0, 0.0, 2.0, 0.0, 0.0, 1.0, 0
	node_attach = 0.0, 0.0, 2.0, 0.0, 0.0, -1.0, 0
	TechRequired = heavyRocketry
	entryCost = 1200
	cost = 100
	category = Structural
	subcategory = 0
	title = RK-111 Launch pad Leg
	manufacturer = #autoLOC_501639
	description = -
	attachRules = 1,1,1,1,0
	mass = 0.5
	thermalMassModifier = 5.0
	heatConductivity = 0.02
	dragModelType = default
	maximum_drag = 0.2
	minimum_drag = 0.2
	angularDrag = 2
	crashTolerance = 10
	maxTemp = 2000
	breakingForce = 500
	breakingTorque = 500
	bulkheadProfiles = size0, srf
	tags = 
	
	MODEL
	{
		model = KeR-7/Parts/LP111/LaunchpadLeg
	}
	
	
	MODULE
	{
		name = ModuleRoboticServoPiston
		servoTransformName = PistonPlate
		servoSrfMeshNames = RK-111-Plate1
		baseTransformName = PistonBase
		slaveTransformNames = Piston1
		servoAttachNodes = 
		traverseVelocityLimits = 0.05, 1.0
		hardMinMaxLimits = -0.6, 0
		softMinMaxExtension = -0.6, 0
		mainAxis = Z
		servoMass = 0.4
		maxMotorOutput = 1000
		positionSpringMutliplier = 1000
		positionDampingMutliplier = 200
		motorizedMassPerKN = 0.00045
		motorizedCostPerDriveUnit = 0.5
		efficiency = 0.75
		baseResourceConsumptionRate = 0.15
		referenceConsumptionVelocity = 10
		// if RESOURCE is used, negative power is simply dumped
		RESOURCE
		{
			name = ElectricCharge
			rate = 1
		}
		// INPUT_RESOURCE is by default equivalent to RESOURCE
		//INPUT_RESOURCE
		//{
		//	name = ElectricCharge
		//	rate = 1
		//}
		//OUTPUT_RESOURCE is required to reclaim energy from negative power
		//OUTPUT_RESOURCE
		//{
		//	name = ElectricCharge
		//	rate = 1
		//}
	}

	MODULE
	{
		name = ModulePartVariants
		baseVariant = Default
		VARIANT
		{
			name = Default
			displayName = Default
			themeName = BlackAndWhite
			primaryColor = #919191
			secondaryColor = #919191
			TEXTURE
			{
				mainTextureURL = KeR-7/Parts/LP111/LP-111
			}
		}
		VARIANT
		{
			name = Green
			displayName = Green
			themeName = GrayAndOrange
			primaryColor = #4c4f47
			secondaryColor = #4c4f47
			TEXTURE
			{
				mainTextureURL = KeR-7/Parts/LP111/LP-111G
			}
		}
	}
}
